Skip to main content
`Ctrl`+`K`

# PetscOptionsInsertFileYAML

Insert a YAML-formatted file in the options database

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsInsertFileYAML(MPI_Comm comm, PetscOptions options, const char file[], PetscBool require)

Collective

## Input Parameters

- comm - the processes that will share the options (usually `PETSC_COMM_WORLD`)

- options - options database, use `NULL` for default global database

- file - name of file

- require - if `PETSC_TRUE` will generate an error if the file does not exist

## Notes

PETSc will generate an error condition that stops the program if a YAML error is detected, hence the user should check that the YAML file is valid before supplying it, for instance at http://www.yamllint.com .

Uses `PetscOptionsInsertStringYAML()`.

## See Also

`PetscOptionsSetValue()`, `PetscOptionsView()`, `PetscOptionsHasName()`, `PetscOptionsGetInt()`, `PetscOptionsGetReal()`, `PetscOptionsGetString()`, `PetscOptionsGetIntArray()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`, `PetscOptionsInsertFile()`, `PetscOptionsInsertStringYAML()`

## Level

intermediate

## Location

src/sys/objects/optionsyaml.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages